Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal.util
Class ServiceParsingUtils

    java.lang.Object
      org.eclipse.gemini.blueprint.config.internal.util.ServiceParsingUtils

    public abstract class ServiceParsingUtils

extends Object

Utils class for parsing various elements of a service declaration.

Author:
  Costin Leau

Constructor Summary
`ServiceParsingUtils()`

Method Summary
`static boolean` | `parseInterfaces(Element parent, Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`static org.springframework.beans.factory.config.BeanDefinition` | `parseListener(org.springframework.beans.factory.xml.ParserContext context, Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`static boolean` | `parseServiceProperties(Element parent, Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceParsingUtils

    public ServiceParsingUtils()

Method Detail

### parseListener

    public static org.springframework.beans.factory.config.BeanDefinition parseListener(org.springframework.beans.factory.xml.ParserContext context,
                                                                                        Element element,
                                                                                        org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

### parseInterfaces

    public static boolean parseInterfaces(Element parent,
                                          Element element,
                                          org.springframework.beans.factory.xml.ParserContext parserContext,
                                          org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

### parseServiceProperties

    public static boolean parseServiceProperties(Element parent,
                                                 Element element,
                                                 org.springframework.beans.factory.xml.ParserContext parserContext,
                                                 org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.